Bug 233893 - graphics/gpxsee: Update to 7.0
Summary: graphics/gpxsee: Update to 7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords: needs-qa
Depends on: 233878
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-09 17:39 UTC by Nikolay Korotkiy
Modified: 2018-12-20 20:31 UTC (History)
1 user (show)

See Also:


Attachments
Update to 7.0 (2.85 KB, patch)
2018-12-09 17:39 UTC, Nikolay Korotkiy
koobs: maintainer-approval+
Details | Diff
Update to 7.0 (2.84 KB, patch)
2018-12-13 22:55 UTC, Nikolay Korotkiy
no flags Details | Diff
Update to 7.0 (2.87 KB, patch)
2018-12-14 19:27 UTC, Nikolay Korotkiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Korotkiy 2018-12-09 17:39:47 UTC
Created attachment 199985 [details]
Update to 7.0

Update to 7.0

  Changelog:
   - Added support for PBF vector maps (using QtPbfImagePlugin).
   - Changed user data/config paths locations.
   - Added Turkish localization.
   - Minor bug fixes (WMTS, graphs).
Comment 1 Nikolay Korotkiy 2018-12-13 22:55:53 UTC
Created attachment 200095 [details]
Update to 7.0

Renamed qt5-pbfimageplugin to qtpbfimageplugin.
Comment 2 Tobias C. Berner freebsd_committer 2018-12-14 14:46:03 UTC
Moin moin

The runtime dependency on graphics/qtpbfimageplugin needs to be fixed.

mfg Tobias
Comment 3 Nikolay Korotkiy 2018-12-14 18:00:27 UTC
> The runtime dependency on graphics/qtpbfimageplugin needs to be fixed.

But what is wrong with the current line:

PBF_RUN_DEPENDS=qtpbfimageplugin:graphics/qtpbfimageplugin
Comment 4 Tobias C. Berner freebsd_committer 2018-12-14 18:40:47 UTC
(In reply to Nikolay Korotkiy from comment #3)
Try building with the option on, and it will complain that there is no binary called "qtpbfimageplugin" available; see: 
https://www.freebsd.org/doc/en/books/porters-handbook/makefile-depend.html#akefile-run_depends


mfg Tobias
Comment 5 Nikolay Korotkiy 2018-12-14 19:27:33 UTC
Created attachment 200123 [details]
Update to 7.0

I see, fixed.
Comment 6 commit-hook freebsd_committer 2018-12-20 20:31:09 UTC
A commit references this bug:

Author: tcberner
Date: Thu Dec 20 20:31:03 UTC 2018
New revision: 487919
URL: https://svnweb.freebsd.org/changeset/ports/487919

Log:
  graphics/gpxsee: update to 7.0

  PR:		233893
  Submitted by:	Nikolay Korotkiy <sikmir@gmail.com> (maintainer)

Changes:
  head/graphics/gpxsee/Makefile
  head/graphics/gpxsee/distinfo
  head/graphics/gpxsee/pkg-plist
Comment 7 Tobias C. Berner freebsd_committer 2018-12-20 20:31:42 UTC
Thanks, committed with some additional minor cleanup.